---
lang: en
title: 'API docs: rest.streambodyparser'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.streambodyparser.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [StreamBodyParser](./rest.streambodyparser.md)

## StreamBodyParser class

A special body parser to retain request stream as is. It will be used by explicitly setting `x-parser` to `'stream'` in the request body spec.

<b>Signature:</b>

```typescript
export declare class StreamBodyParser implements BodyParser 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [name](./rest.streambodyparser.name.md) |  | <code>symbol</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [parse(request)](./rest.streambodyparser.parse.md) |  |  |
|  [supports(mediaType)](./rest.streambodyparser.supports.md) |  |  |


